GET posts

modjourn.org:modernist-journals-project-api

Summary: Get posts (news and updates)
Operation ID: getPosts
Auth: none
Description

Retrieve news posts and updates from the Modernist Journals Project. Supports pagination, search, and filtering.

Parameters (7)

after (string, query, optional)

ISO8601 date string to filter posts published after this date

before (string, query, optional)

ISO8601 date string to filter posts published before this date

categories (string, query, optional)

Category IDs to filter posts

orderby (string, query, optional, default: date)

Sort collection by property

Constraints: {'enum': ['date', 'relevance', 'id', 'slug', 'title']}

page (integer, query, optional, default: 1)

Current page of the collection

per_page (integer, query, optional, default: 10)

Maximum number of items to return (1-100)

Constraints: {'maximum': 100}

search (string, query, optional)

Search term to filter posts

Examples (3)

TitleTypeURLAction
Get recent posts (default pagination) curl https://modjourn.org/posts
Search posts with date filter curl https://modjourn.org/posts?search=modernism&after=2020-01-01T00:00:00Z&per_page=25
Paginated results with custom ordering curl https://modjourn.org/posts?page=2&per_page=20&orderby=title

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-03-23 10:32:40.104911 404 1137ms
2026-03-23 09:48:11.126311 404 1000ms
2026-03-23 09:23:30.320726 404 1152ms